define({"0":{y:0,u:"../Content/ExportOverview.htm",l:-1,t:"Overview of HTML Export",i:0.00385930489830568,a:"Overview of HTML Export This section provides an overview of the OpenText File Content Extraction Export SDK and describes how to use the Java implementation of the API. Introducing HTML Export Getting Started"},"1":{y:0,u:"../Content/export/Introduction/Introduction.htm",l:-1,t:"Introducing HTML Export",i:0.00549951494158293,a:"Introducing HTML Export This guide is for developers who want to incorporate OpenText File Content Extraction HTML conversion technology into their applications using a Java development environment. It is intended for readers who are familiar with HTML and Java."},"2":{y:0,u:"../Content/export/Introduction/Overview.htm",l:-1,t:"Overview",i:0.00385930489830568,a:"HTML Export is part of the File Content Extraction Export SDK. It enables you to convert virtually any document, spreadsheet, presentation, or graphic into high-fidelity HTML. Incorporating this technology into your web-based applications enables your end-users to access a document even if they do ..."},"3":{y:0,u:"../Content/export/Introduction/Features.htm",l:-1,t:"Features",i:0.00385930489830568,a:"Dynamically convert word processing, spreadsheet, presentation, and graphics files into  web-ready, 4.0-compliant HTML . Export supports over 300 formats in 70 languages. Convert files either in-process or out-of-process. Out-of-process conversion ensures the stability and robustness of the calling ..."},"4":{y:0,u:"../Content/export/Introduction/Package_Contents.htm",l:-1,t:"Package Contents",i:0.00385930489830568,a:"To get started with the Export SDK, unzip the package to a directory on your machine. The Export SDK packages for non-Windows platforms store the correct file permissions for the files in the SDK (for example, some files must be executable) . OpenText recommends that you unzip the SDK on the ..."},"5":{y:0,u:"../Content/Shared/_KV_License_Update.htm",l:-1,t:"License Information",i:0.0475966900113123,a:"Your license key controls whether you have the full version of the File Content Extraction SDK, or a trial version. It also determines whether the following advanced features are enabled: Advanced character set detection with the character set detection library (kvlangdetect). Advanced document ..."},"6":{y:0,u:"../Content/export/Introduction/Directory_Structure.htm",l:-1,t:"Directory Structure",i:0.00385930489830568,a:" The following table describes the directories created during the HTML Export installation. The variable install is the path name of the Export installation directory (for example, /usr/autonomy/KeyviewExportSDK on UNIX, or C:\\Program Files\\Autonomy\\KeyviewExportSDK on Windows). On UNIX, the HTML ..."},"7":{y:0,u:"../Content/export/Introduction/Definition_of_Terms.htm",l:-1,t:"Definition of Terms",i:0.00385930489830568,a:"Definition of Terms The following are specialized terms used throughout the guide. "},"8":{y:0,u:"../Content/export/GettingStarted/GettingStarted.htm",l:-1,t:"Getting Started",i:0.00549951494158293,a:"Getting Started This section provides an overview of the HTML Export SDK and describes how to use the Java implementations of the API."},"9":{y:0,u:"../Content/export/GettingStarted/ReferenceImplementation.htm",l:-1,t:"HTML Export Reference Implementation",i:0.0493603678148763,a:"The File Content Extraction Export SDK includes a reference implementation that demonstrates how to export documents to HTML. The reference implementation includes source code for a library named libkvhtmlexport, and a sample program named kvhtmlexport. The libkvhtmlexport library is written in  ..."},"10":{y:0,u:"../Content/export/GettingStarted/Architectural_Overview.htm",l:-1,t:"Architectural Overview",i:0.00385930489830568,a:"Architectural Overview The general architecture of the File Content Extraction HTML conversion technology is the same across all supported platforms and is illustrated in the following diagram: HTML Export Architecture Each component is described in the following table."},"11":{y:0,u:"../Content/export/GettingStarted/Enhance_Performance.htm",l:-1,t:"Enhance Performance",i:0.00385930489830568,a:"File Content Extraction is designed for optimal performance out of the box. However, there are some parameters that you can adjust to improve performance specifically for your system. File Caching To reduce the frequency of I/O operations, and consequently improve performance, the File Content ..."},"12":{y:0,u:"../Content/export/GettingStarted/Convert_Files.htm",l:-1,t:"Convert Files",i:0.00385930489830568,a:"File Content Extraction Export SDK enables you to convert many different types of documents to HTML. Converting is the process of extracting the text from a document without the application-specific markup, and applying HTML markup. The conversion process can also include the following: Extracting ..."},"13":{y:0,u:"../Content/export/GettingStarted/Convert_Files_Out_of_Process.htm",l:-1,t:"Convert Files Out-of-Process",i:0.0531958522547189,a:"Export can run independently from the calling application. This is called out-of-process. Out-of-process conversions protect the stability of the calling application in the rare case when a malformed document causes Export to fail. You can also run Export in the same process as the calling ..."},"14":{y:0,u:"../Content/export/GettingStarted/ConvertOOP_Run_Java.htm",l:-1,t:"Run Export Out-of-Process",i:0.00538508463996202,a:"The HtmlTest.java sample program demonstrates how to run Export out-of-process.  To convert files out-of-process in the Java API If required, set parameters for the out-of-process conversion in the formats_e.ini file. See  \n            Configure Out-of-Process Conversions . Create an instance of the ..."},"15":{y:0,u:"../Content/export/GettingStarted/Subfile_Extraction.htm",l:-1,t:"Subfile Extraction",i:0.00426935740912499,a:"To convert a file, you must first determine whether the source file contains any subfiles (attachments, embedded objects, and so on). A file that contains subfiles is called a container file. Compressed files (such as Zip), mail messages with attachments (such as Microsoft Outlook Express), mail ..."},"16":{y:0,u:"../Content/export/GettingStarted/Set_Conversion_Options.htm",l:-1,t:"Set Conversion Options",i:0.0357531803819022,a:"Conversion options are parameters that determine the content, structure, and appearance of the HTML output. For example, you can specify:  the markup inserted at the beginning and end of specific HTML blocks whether a heading is included in the table of contents the output character set  the ..."},"17":{y:0,u:"../Content/export/GettingStarted/HTML_Export_API_Java.htm",l:-1,t:"Use the HTML Export API",i:0.00735891255596354,a:"The Java version of the API provides an interface to the core functionality of the C API. It contains one primary class (HtmlExport) that wraps the conversion functionality of the C API. The HtmlExport class provides access to a family of methods called convert.  The API is implemented in the ..."},"18":{y:0,u:"../Content/part_Use.htm",l:-1,t:"Use the Export API",i:0.00385930489830568,a:"Use the Export API This section explains how to perform some basic tasks using the  File Extraction and  Export APIs, and describes the sample programs. It contains the following chapters: Use the File Extraction API Use the HTML Export API Sample Programs"},"19":{y:0,u:"../Content/extract/Extract_API.htm",l:-1,t:"Use the File Extraction API",i:0.0108848732597292,a:"Use the File Extraction API This section describes how to extract subfiles from a container file by using the File Extraction API. "},"20":{y:0,u:"../Content/extract/Introduction.htm",l:-1,t:"Introduction",i:0.00385930489830568,a:"A file can contain other files, which we call subfiles. Examples of subfiles include e-mail attachments and embedded OLE objects. A file that contains subfiles is called a container file. The following are examples of container files: Archive files such as the ZIP, TAR, and RAR formats. Mail ..."},"21":{y:0,u:"../Content/extract/Extract_Subfiles_Java.htm",l:-1,t:"Extract Subfiles",i:0.025727997454809,a:"To  convert  all files in a container file, the container must be opened and its subfiles extracted to either a file or a stream using the File Extraction API. The extraction process is done repeatedly until all subfiles are extracted and exposed for  conversion . Once a subfile is extracted, you ..."},"22":{y:0,u:"../Content/_KV_xtract_sanitize_paths.htm",l:-1,t:"Sanitize Absolute Paths",i:0.00385930489830568,a:"When you extract a subfile from a container and write it to disk, you specify an extract directory  and a path to extract the file to. To set the path, you might use the path in the container file that you are extracting from, as returned  from the Filter.extGetSubFileInfo() method.  However, if the ..."},"23":{y:0,u:"../Content/extract/Extract_protected_containers.htm",l:-1,t:"Extract Protected Container Files",i:0.00385930489830568,a:"This section describes how to extract container files that are protected with a password or require other types of credentials. The following guidelines apply to specific file types. Lotus Notes NSF files. If you are running a Notes client with an active user connected to a Domino server, you must ..."},"24":{y:0,u:"../Content/Shared/_KV_xtract_Extract_Images.htm",l:-1,t:"Extract Images",i:0.00385930489830568,a:"You can use the File Extraction API  to extract images within a file. If you use this feature, images within the file  behave in the same way as any other subfile. Extracted images  have the name image[X].[Y], where [X] is an integer, and [Y] is the extension. The format of the image is the same as ..."},"25":{y:0,u:"../Content/extract/Understand_Subfile_Hierarchy.htm",l:-1,t:"Understand the Subfile Hierarchy",i:0.00769469174429884,a:"When you extract a container file, the paths or relationships between the subfiles might be irrelevant. For example, you might want to filter the subfiles contained in a ZIP archive, but you might not care about the file and folder structure. File Content Extraction provides information that enables ..."},"26":{y:0,u:"../Content/extract/_KV_ExtractMailFiles.htm",l:-1,t:"Extract Mail Files",i:0.00549951494158293,a:"A file that contains an e-mail message, for example a Microsoft Outlook .MSG file, is typically treated as a container even if it does not have any attachments. File Content Extraction provides access to the message text as a subfile.  When you extract a subfile that represents the text of a ..."},"27":{y:0,u:"../Content/extract/Extract_Mailbox.htm",l:-1,t:"Mailbox Files",i:0.00385930489830568,a:"A Mailbox (MBX) file is a collection of individual emails compiled with RFC 822 and RFC 2045 - 2049 (MIME), and divided by message separators. There are many mail applications that export to an MBX format, such as Eudora Email and Mozilla Thunderbird.  In Eudora MBX files, attachments are inserted ..."},"28":{y:0,u:"../Content/extract/Extract_PST.htm",l:-1,t:"Outlook Personal Folders Files",i:0.00385930489830568,a:"File Content Extraction can extract Outlook items such as messages, appointments, contacts, tasks, notes, and journal entries from a PST file.  By default, an extracted message will include header information (the fields To, From, Sent, and so on) even though this information is stored in the PST ..."},"29":{y:0,u:"../Content/extract/Extract_LotusDominoXML.htm",l:-1,t:"Lotus Domino XML Language Files",i:0.00385930489830568,a:"You can make sure that dates and times extracted from Lotus Domino .DXL files are displayed in a uniform format. To extract custom date/time formats In the formats_e.ini file, set the DateTimeFormat option in the [dxlsr] section. For example: [dxlsr]\nDateTimeFormat=%m/%d/%Y %I:%M:%S %p In this ..."},"30":{y:0,u:"../Content/extract/Extract_LotusNotes_DB.htm",l:-1,t:"Lotus Notes Database Files",i:0.00385930489830568,a:"A Lotus Notes database is a single file that contains multiple documents called notes. Notes include design notes (such as forms, views, folders, navigators, outlines, pages, framesets, agents, and resources), data document notes, profile document notes, access control list notes, and collection ..."},"31":{y:0,u:"../Content/extract/Extract_PDF.htm",l:-1,t:"Extract Subfiles from PDF Files",i:0.00385930489830568,a:"File Content Extraction can extract document-level and page-level attachments from a PDF document. Document-level attachments are added by using the Attach A File tool, and can include links to or from the parent document or to other file attachments. Page-level attachments are added as comments by ..."},"32":{y:0,u:"../Content/Shared/_KV_PDF_ImprovePerformanceWithSmallImages.htm",l:-1,t:"Improve Performance for PDFs with Many Small Images",i:0.00385930489830568,a:"To improve performance when processing PDF files that contain many small images, you can choose to ignore images unless they exceed a minimum width and/or height. If an image is smaller than the minimum width or height, File Content Extraction does not extract the image.  For example, to ignore ..."},"33":{y:0,u:"../Content/extract/Extract_OLE.htm",l:-1,t:"Extract Embedded OLE Objects",i:0.00385930489830568,a:"Embedded OLE objects can be converted in two ways: Using the File Extraction API, the OLE object is first extracted from the main file and saved to disk. It can then be converted by making a separate conversion call. Using the  HTML  Export API, the main file is converted to  HTML  and the OLE ..."},"34":{y:0,u:"../Content/extract/_KV_xtract_java_Default_Filenames_Extracted_Subfiles.htm",l:-1,t:"Default File Names for Extracted Subfiles",i:0.00385930489830568,a:"When a file name is not specified in the call to  extExtractSubFile, in some cases, a default file name is applied to the extracted subfile. Default File Name for Mail Formats To avoid naming conflicts and problems with long file names, File Content Extraction applies its own names to the extracted ..."},"35":{y:0,u:"../Content/export/UseExportAPI/HTML_api.htm",l:-1,t:"Use the HTML Export API",i:0.00616243366975397,a:"Use the HTML Export API This section describes how to perform some basic tasks by using the HTML Export API."},"36":{y:0,u:"../Content/export/UseExportAPI/Extract_Metadata.htm",l:-1,t:"Extract Metadata",i:0.0058169386951962,a:"When a file format supports metadata, File Content Extraction can extract and process that information. Metadata includes document information fields such as title, author, creation date, and file size. Depending on the file\u0027s format, metadata is referred to in a number of ways: for example, ..."},"37":{y:0,u:"../Content/export/UseExportAPI/Extract_File_Format_Info.htm",l:-1,t:"Obtain File Format Information",i:0.00426935740912499,a:"The File Content Extraction format detection module (kwad) detects a file\u0027s format. This feature enables you to apply customized conversion settings based on a file\u0027s format. To extract file format information Set the input source using the setInputSource method.  Call the getAutoDetectInfo() method ..."},"38":{y:0,u:"../Content/export/UseExportAPI/Convert_Character_Sets.htm",l:-1,t:"Convert Character Sets",i:0.00426935740912499,a:"Export allows you to control the character set of both the input and the output text. This is accomplished by either setting the source and/or target character set in the API, or  basing the input/output on the character set of the document (if the document character set is stored in the document ..."},"39":{y:0,u:"../Content/export/UseExportAPI/Map_Styles.htm",l:-1,t:"Map Styles",i:0.0594921832122955,a:"Export can map paragraph and character styles in any word processing format that contains styles (such as Microsoft Word, RTF, or Folio Flat File) to user-defined markup.  This feature is useful for shaping the look of the HTML output, or for generating user-defined metadata (including using XML ..."},"40":{y:0,u:"../Content/export/UseExportAPI/Use_Style_Sheets.htm",l:-1,t:"Use Style Sheets",i:0.00892438090947601,a:"You can use style sheets  to define the overall layout and type specifications of the HTML output. Export can write style sheet information to an external Cascading Style Sheet (CSS) file, or read the information from an existing CSS file during the conversion. The formatting data can either be ..."},"41":{y:0,u:"../Content/export/UseExportAPI/Vector_Graphics_Output.htm",l:-1,t:"Vector Graphics Output",i:0.00892438090947601,a:"Sometimes an input document contains vector graphics like charts or diagrams that can be included in the output produced by File Content Extraction.  For presentation formats like PowerPoint, the entire slide can be considered as a vector graphic. You can choose the output format for vector ..."},"42":{y:0,u:"../Content/export/UseExportAPI/Search_and_Highlight_Terms.htm",l:-1,t:"Search and Highlight Terms",i:0.00540688618437689,a:"File Content Extraction can highlight specified text strings in the HTML output. Only text strings that exactly match the search term are highlighted. For example, if you specify the term house, the string house is highlighted in house, houses, and housed, but is not highlighted in the term housing. ..."},"43":{y:0,u:"../Content/export/UseExportAPI/C-Only/Include_Revision_Information.htm",l:-1,t:"Include Revision Information",i:0.0360444658168751,a:"Applications sometimes have revision tracking features — such as Track Changes in Microsoft Word — and save information about the changes that are made to a document. This information might include the reviewer\u0027s name and the date and time of each change. When a supported file contains revision ..."},"44":{y:0,u:"../Content/export/UseExportAPI/Extract_Text_from_Text_Boxes.htm",l:-1,t:"Extract Text from Text Boxes",i:0.00385930489830568,a:"By default, the contents of Microsoft Word text boxes are converted to graphics and exported. Alternatively, you can convert the contents of text boxes to text.  The extracted text box text is not formatted.  To enable text box extraction Add the following to the formats_e.ini file: ..."},"45":{y:0,u:"../Content/export/UseExportAPI/Convert_PDF_Files.htm",l:-1,t:"Convert PDF Files",i:0.0123854437971083,a:"Export has special configuration options that allow greater control over the conversion of PDF files. These options can improve the fidelity and accuracy of the HTML output. Use the pdf2sr Reader The pdf2sr reader generates a high fidelity raster image of each page in a PDF file. The output HTML ..."},"46":{y:0,u:"../Content/pdf2sr_image_size.htm",l:-1,t:"Configure the Size of Exported Images",i:0.00385930489830568,a:"When you use the pdf2sr reader to export images of the pages in a PDF file, you can configure the size of the images produced by File Content Extraction. To configure the size of images produced by pdf2sr Open the configuration file formats_e.ini. Find the section [pdf2sr], or create the section if ..."},"47":{y:0,u:"../Content/export/UseExportAPI/Convert_Spreadsheet_Files.htm",l:-1,t:"Convert Spreadsheet Files",i:0.00385930489830568,a:"Export has special configuration options that allow greater control over the conversion of spreadsheet files.  Convert Hidden Text in Microsoft Excel Files Normally, Export does not convert hidden text from a Microsoft Excel spreadsheet because it is assumed that the text should not be exposed. You ..."},"48":{y:0,u:"../Content/export/UseExportAPI/Convert_XML_Files.htm",l:-1,t:"Convert XML Files",i:0.010214491455272,a:"Export enables you to extract all or selected content from source XML files (see  Configure Element Extraction for XML Documents ). It detects the following XML formats: generic XML Microsoft Office 2003 XML (Word, Excel, and Visio) StarOffice/OpenOffice XML (text document, presentation, and ..."},"49":{y:0,u:"../Content/export/UseExportAPI/Show_Hidden_Data.htm",l:-1,t:"Show Hidden Data",i:0.025727997454809,a:"Microsoft Word, Excel, and PowerPoint documents contain hidden information, some of which is shown by default when exported, and some of which is hidden by default. There are several options that allow you to determine which types of hidden data are shown. File Content Extraction does not consider ..."},"50":{y:0,u:"../Content/Shared/_KV_No_Phonetic_Guides.htm",l:-1,t:"Japanese Guide Text - Microsoft Excel",i:0.00385930489830568,a:"Japanese Guide Text - Microsoft Excel This option prevents output of Japanese phonetic guide text when Microsoft Excel (.xlsx) files are processed. To prevent output of Japanese phonetic guide text In  formats_e.ini, set the following parameter.  [Options]\nNoPhoneticGuides=TRUE"},"51":{y:0,u:"../Content/Shared/_KV_Code_Identification.htm",l:-1,t:"Source Code Identification",i:0.00385930489830568,a:"Source code identification attempts to identify files that contain a particular programming language as a specific format.  When you do not enable source code identification, files that contain source code are often identified as ASCII text files, which means the application treats them in the same ..."},"52":{y:0,u:"../Content/export/UseExportAPI/Partitioning.htm",l:-1,t:"Partitioning",i:0.00385930489830568,a:"Partitioning provides highly flexible and customizable output, by rendering different parts of a file to different partitions. These partitions are snippets of HTML output for a given portion of the file. The calling code can then combine these partitions into the desired output structure. For each ..."},"53":{y:0,u:"../Content/metadata/_KV_Using_Metadata_API.htm",l:-1,t:"Use the Metadata API",i:0.007065647062202,a:"Use the Metadata API This section describes how to use File Content Extraction to access metadata."},"54":{y:0,u:"../Content/metadata/_KV_What_Is_Metadata.htm",l:-1,t:"What is Metadata?",i:0.0103998185311189,a:"Documents may contain information about the document itself: we call this metadata. For instance, a raster image file contains metadata recording the image\u0027s width and height; a word processing document may contain metadata recording the document\u0027s author and title. Metadata can be represented by ..."},"55":{y:0,u:"../Content/metadata/Mail_Metadata.htm",l:-1,t:"Mail Metadata",i:0.00769469174429884,a:"An e-mail message body and any attachments are considered by File Content Extraction as subfiles of the mail container (such as an MSG or EML file). The metadata for the message (the header fields such as \"From\", \"Sent\", \"To\", \"CC\", \"Subject\", and so on) are typically stored in the container and can ..."},"56":{y:0,u:"../Content/metadata/_KV_Understanding_Metadata.htm",l:-1,t:"Field Standardization",i:0.00992809411474715,a:"Common metadata fields such as \"Title\", \"Author\", and \"Subject\" exist in many different file formats, but can be stored in different ways. For instance, one raster image format may store the image width as a key-value pair with key Width. Another format may store the image width in bytes 16-19 of ..."},"57":{y:0,u:"../Content/metadata/_KV_Process_Fields.htm",l:-1,t:"Metadata Elements",i:0.00385930489830568,a:"This section explains how to process metadata elements. Standardized Elements When File Content Extraction understands the meaning of a metadata field in a document, it outputs that data in a standardized element - a MetadataElement where: isStandard() returns true. getStandardKey() returns the ..."},"58":{y:0,u:"../Content/metadata/_KV_Standardized_Metadata_Fields.htm",l:-1,t:"Standardized Metadata Elements",i:0.00713972498486018,a:"The following tables describe the standardized metadata elements that File Content Extraction can create. Audio Metadata Date Metadata These dates are retrieved from values stored within the document, and are typically set by the creating application. For documents that exist on disk, this may ..."},"59":{y:0,u:"../Content/Java/samples_export/samples_html_java.htm",l:-1,t:"Sample Programs",i:0.00692660617649204,a:"Sample Programs This section describes the Java sample programs provided with HTML Export."},"60":{y:0,u:"../Content/Java/samples_export/Introduction.htm",l:-1,t:"Introduction",i:0.00385930489830568,a:"The Java sample programs demonstrate how to use the Java implementation of HTML Export. The sample code is intended to provide a starting point for your own applications or to be used for reference purposes. You can also test these sample programs with the sample files provided in  install\\testdocs. ..."},"61":{y:0,u:"../Content/Java/samples_export/ExtractExport.htm",l:-1,t:"ExtractExport",i:0.00449628015052225,a:"This program demonstrates the File Extraction interface and basic functionality of the Export interface. The HtmlTest sample program demonstrates more advanced functionality of the Export interface.  See  HtmlTest . The ExtractExport program demonstrates the following functionality: opens a document ..."},"62":{y:0,u:"../Content/Java/samples_export/HtmlTest.htm",l:-1,t:"HtmlTest",i:0.0163860442889512,a:"This program converts an input document to an output document and allows you to specify options in the command line. The command-line options are listed in  Options for the HTMLTest Sample Program . This program demonstrates most of the methods available in the Java API. This sample program ..."},"63":{y:0,u:"../Content/Java/samples_export/HtmlConvFileToFile.htm",l:-1,t:"HtmlConvFileToFile",i:0.00675342856763976,a:"This program converts an input file to an output file using Java API calls in HTML Export, and a template file. See  Explore Conversion Options with the Sample Programs  for more information on template files. This program demonstrates the following functions: Extracts file format information ..."},"64":{y:0,u:"../Content/Java/samples_export/HtmlConvStreamToStream.htm",l:-1,t:"HtmlConvStreamToStream",i:0.00385930489830568,a:"This program converts an input stream to an output stream using Java API calls in HTML Export, and a template file. See  Explore Conversion Options with the Sample Programs  for more information on template files. This sample program demonstrates how to export from a java.io.InputStream object. ..."},"65":{y:0,u:"../Content/Java/samples_export/kvhtmlexport.htm",l:-1,t:"kvhtmlexport",i:0.0458330122077483,a:"A sample program that you can use to try out the File Content Extraction HTML Export Reference Implementation .  The source code for this program is available in javaapi/libkvhtmlexport/sample/src/ and can be compiled by running ant build from the javaapi/libkvhtmlexport directory. A pre-compiled ..."},"66":{y:0,u:"../Content/appart.htm",l:-1,t:"Appendixes",i:0.00385930489830568,a:"This section lists supported formats, supported character sets and redistributed files, and provides information on format detection. Platforms, Compilers, and Dependencies File Formats Document Readers Platform Differences Character Sets Third-Party Libraries Extract and Format Lotus Notes Subfiles ..."},"67":{y:0,u:"../Content/Shared/_KV_Platform.htm",l:-1,t:"Platforms, Compilers, and Dependencies",i:0.00415752490617427,a:"Platforms, Compilers, and Dependencies This section describes supported platforms, supported compilers, and software dependencies."},"68":{y:0,u:"../Content/Shared/_KV_Platform_Supported_Platforms.htm",l:-1,t:"Supported Platforms",i:0.00385930489830568,a:"The following sections list supported operating systems for each platform. Windows (x86-64) Microsoft Windows Server 2022 Microsoft Windows Server 2019 Microsoft Windows Server 2016 Microsoft Windows Server 2012 Microsoft Windows 11 Microsoft Windows 10 Windows (x86) Microsoft Windows 10 Windows ..."},"69":{y:0,u:"../Content/Shared/_KV_Platform_Compilers.htm",l:-1,t:"Supported Compilers",i:0.00385930489830568,a:"Supported Compilers The following table lists the supported compilers for the Java HTML Export SDK."},"70":{y:0,u:"../Content/Shared/_KV_Platform_Dependencies.htm",l:-1,t:"Software Dependencies",i:0.00877993502813744,a:"This section describes software that you, or the end user of your application, must install alongside File Content Extraction. For information about third-party software that is included with File Content Extraction, see  Third-Party Libraries . To run File Content Extraction on Windows requires the ..."},"71":{y:0,u:"../Content/kv_formats/_KV_FMT__Detected.htm",l:-1,t:"File Formats",i:0.00415752490617427,a:"File Formats This section lists the file formats that File Content Extraction can detect."},"72":{y:0,u:"../Content/kv_formats/_KV_FMT__Detected_Key.htm",l:-1,t:"Key to Supported Formats Table",i:0.00385930489830568,a:"Key to Supported Formats Table The supported formats table includes the following information:"},"73":{y:0,u:"../Content/kv_formats/_KV_FMT__AllDetected.htm",l:-1,t:"Supported Formats",i:0.0159326059149977,a:"1MHT, EML, and MBX files might return either format 2, 233, or 395, depending on the text  in the file. In general, files that contain fields such as To, From, Date, or Subject are considered to be email messages; files that contain fields such as content-type and mime-version are considered to be ..."},"74":{y:0,u:"../Content/kv_formats/_KV_FMT_FileClasses.htm",l:-1,t:"File Classes",i:0.00385930489830568,a:"File Classes"},"75":{y:0,u:"../Content/kv_formats/_KV_FMT__SupportedFormats.htm",l:-1,t:"Document Readers",i:0.0124591716427582,a:"Document Readers This section lists the document readers that are provided by File Content Extraction to filter, export, and view supported file formats."},"76":{y:0,u:"../Content/kv_formats/_KV_FMT__Key.htm",l:-1,t:"Key to Document Readers Table",i:0.00385930489830568,a:"The document readers table includes the following information. Key to Symbols Symbol Description Y The feature is supported. N The feature is not supported. T Only text is extracted from this format. Formatting information is not extracted.  M Only metadata (title, subject, author, and so on) is ..."},"77":{y:0,u:"../Content/kv_formats/_KV_FMT_Readers.htm",l:-1,t:"Document Readers",i:0.0194556244454564,a:"Document Readers"},"78":{y:0,u:"../Content/kv_platforms/_KV_Intro.htm",l:-1,t:"Platform Differences",i:0.00415752490617427,a:"Platform Differences Most File Content Extraction features and document readers are available across all platforms. This section describes the supported platforms for certain features that are not available on every platform."},"79":{y:0,u:"../Content/kv_platforms/_KV_FeaturesByPlatform.htm",l:-1,t:"Feature Differences",i:0.00937176574188865,a:"Feature Differences"},"80":{y:0,u:"../Content/kv_platforms/_KV_ReadersByPlatform.htm",l:-1,t:"Reader Differences",i:0.0109193470279599,a:"Reader Differences This topic shows only those readers that are unavailable on at least one platform. For a complete list of a readers, see  Document Readers ."},"81":{y:0,u:"../Content/kv_charset/_KV_CHARSET_c_charset.htm",l:-1,t:"Character Sets",i:0.00415752490617427,a:"Character Sets This section provides information on the handling of character sets in the File Content Extraction suite of products. "},"82":{y:0,u:"../Content/kv_charset/_KV_CHARSET_Multibyte_Bidirectional_Support.htm",l:-1,t:"Multibyte and Bidirectional Support",i:0.00385930489830568,a:"File Content Extraction can process files that contain multibyte characters. A multibyte character encoding represents a single character with consecutive bytes. File Content Extraction can also process text from files that contain bidirectional text. Bidirectional text contains both Latin-based ..."},"83":{y:0,u:"../Content/kv_charset/_KV_CHARSET_Coded_Character_Sets.htm",l:-1,t:"Coded Character Sets",i:0.00570593555978571,a:"This section lists the character sets you can use as your target character set.  Target character sets other than UTF-8 and UTF-16 are deprecated in File Content Extraction version 24.4 and later. OpenText recommends that you only use the widely supported UTF-8 and UTF-16 formats. Other character ..."},"84":{y:0,u:"../Content/Shared/_KV_3P_Appendix.htm",l:-1,t:"Third-Party Libraries",i:0.0116204986875592,a:"Third-Party Libraries This section contains information about the third-party libraries included with File Content Extraction."},"85":{y:0,u:"../Content/Shared/_KV_3P_Source.htm",l:-1,t:"Third-Party Library Source Code",i:0.00385930489830568,a:"File Content Extraction uses a variety of third-party libraries.  To see a list of the libraries used and their licenses, refer to license-os3p.txt which is included in the SDK. Some third-party libraries use a license which gives users of the software the right to obtain the source code to those ..."},"86":{y:0,u:"../Content/Shared/_KV_3P_UpgradePolicy.htm",l:-1,t:"Third-Party Library Upgrade Policy",i:0.00713972498486018,a:"File Content Extraction uses third-party libraries to provide important functionality. These libraries are regularly upgraded to ensure that File Content Extraction includes any relevant security fixes according to the following policy: All third-party libraries that are required for all uses of ..."},"87":{y:0,u:"../Content/kv_XML_templates/_KV_XML_app_XMLtemplate.htm",l:-1,t:"Extract and Format Lotus Notes Subfiles",i:0.00743794499272878,a:"Extract and Format Lotus Notes Subfiles This section describes how to create XML templates to alter the appearance of extracted Lotus mail note subfiles so that they maintain the look and feel of the original notes."},"88":{y:0,u:"../Content/kv_XML_templates/_KV_XML_Overview.htm",l:-1,t:"Overview",i:0.00385930489830568,a:"File Content Extraction uses the NSF reader, nsfsr, to extract Lotus database files, and places Lotus mail notes in subfiles. The NSF reader uses a set of default XML templates to extract the notes and apply formatting, thereby approximating the look and feel of the original notes. In some cases, ..."},"89":{y:0,u:"../Content/kv_XML_templates/_KV_XML_Customize_XML_Templates.htm",l:-1,t:"Customize XML Templates",i:0.00385930489830568,a:"XML templates are enabled by default. In most cases, the default templates should be sufficient; however, you can customize them or create your own as required. To customize XML templates for Lotus note extraction Modify the template files in the following directory. install\\OS\\bin\\NSFtemplates The ..."},"90":{y:0,u:"../Content/kv_XML_templates/_KV_XML_Template_Elements_and_Attributes.htm",l:-1,t:"Template Elements and Attributes",i:0.048747713240129,a:"This section lists the valid XML elements and attributes that you can use when creating or modifying templates. See the demo templates for examples. Conditional Elements The following table lists the valid conditional elements. Control Elements The following table lists the valid control elements. ..."},"91":{y:0,u:"../Content/kv_XML_templates/_KV_XML_Date_and_Time_Formats.htm",l:-1,t:"Date and Time Formats",i:0.0245769742259923,a:"This section lists the supported Notes and File Content Extraction date and time formats for use with  \u003cformat\u003e ,  \u003cdate\u003e , and  \u003cdate_kv\u003e . Lotus Notes Date and Time Formats  This section lists supported Lotus Notes date and time formats, and the integer values that specify each one. File Content ..."},"92":{y:0,u:"../Content/export/a_tokens.htm",l:-1,t:"Export Tokens",i:0.015655226521098,a:"This section contains an alphabetized list of the Export tokens. Tokens are special strings inserted into the  KVHTMLTemplateEx structure,  HtmlTemplateInfo class, and template files. They are placeholders for markup that appears in the HTML output. For example, the $CHARSET token marks the place in ..."},"93":{y:0,u:"../Content/export/Detect/detection.htm",l:-1,t:"File Format Detection",i:0.00814512193769319,a:"File Format Detection This section describes how file formats are detected in the File Content Extraction Export SDK."},"94":{y:0,u:"../Content/Shared/_KV_Refine_Detection_of_Text.htm",l:-1,t:"Refine Detection of Text Files",i:0.00385930489830568,a:"During text detection, File Content Extraction analyzes the start and end of the document. It compares the usage of printable ASCII characters to other types of character to detect if the document is a plain text file. Depending on the type of documents you are working with, the default settings ..."},"95":{y:0,u:"../Content/export/Detect/Determine_Doc_Reader.htm",l:-1,t:"Determine a Document Reader",i:0.00549951494158293,a:"The format detection module uses information in the file  formats_e.ini to determine whether a format is supported, and to determine the reader to use to parse a format. The entries in the [Formats] section of  formats_e.ini match file formats with readers. Each file format has the following ..."},"96":{y:0,u:"../Content/Shared/_KV_AdditionalFormatInfo.htm",l:-1,t:"Additional Format Information",i:0.00385930489830568,a:"File Content Extraction returns basic information about a document\u0027s format, but sometimes it can be useful to have additional information. The file formats_description.tsv, which can be found in the bin directory, provides a mapping between file format ID, human-readable format description, and the ..."},"97":{y:0,u:"../Content/export/Files/Filelist.htm",l:-1,t:"Files Required for Redistribution",i:0.00743794499272878,a:"This section lists the Export files that can be redistributed in your applications under the licensing agreement. Unless noted, these files are in the directory  install\\OS\\bin, where install is the path of the Export installation directory and OS is the operating system platform. On Windows ..."},"98":{y:0,u:"../Content/export/Files/Core_Files.htm",l:-1,t:"Core Files",i:0.00385930489830568,a:"Core Files The following core files can be redistributed with your application."},"99":{y:0,u:"../Content/export/Files/Support_Files.htm",l:-1,t:"Support Files",i:0.00385930489830568,a:"Support Files The following support files can be redistributed with your application."},"100":{y:0,u:"../Content/export/Files/Document_Readers_and_Writers.htm",l:-1,t:"Document Readers and Writers",i:0.00495277826049051,a:"Document Readers and Writers The following readers and writers can be redistributed with your application."},"101":{y:0,u:"../Content/Shared/_KV_pwd_intro.htm",l:-1,t:"Password Protected Files",i:0.00415752490617427,a:"Password Protected Files This section lists supported password-protected container and non-container files and describes how to open them."},"102":{y:0,u:"../Content/Shared/_KV_pwd_protect_support.htm",l:-1,t:"Supported Password Protected File Types",i:0.00385930489830568,a:"The following table lists the password-protected file types that File Content Extraction supports. Supported password-protected file types File Type Version Filter Export Extract View Credentials PST (Windows) n/a N N Y S P PST (non-Windows) 1 The native PST reader, pstxsr, does not require ..."},"103":{y:0,u:"../Content/Java/Java_Export_Password_Protected_Files.htm",l:-1,t:"Export Password Protected Files",i:0.00385930489830568,a:"This section describes how to export password-protected non-container files with the Java API. To export password-protected files Create an instance of the ConfigOption class, and set the OptionType argument to  CFG_SETPASSWORD, the OptionValue argument to TRUE, and the OptionData argument to the ..."},});