define({"0":{y:0,u:"../Content/ExportOverview.htm",l:-1,t:"Overview of XML Export",i:0.00150058318491147,a:"Overview of XML Export This section provides an overview of the OpenText File Content Extraction Export SDK and describes how to use the C implementation of the API. Introducing XML Export Getting Started"},"1":{y:0,u:"../Content/export/Introduction/Introduction.htm",l:-1,t:"Introducing XML Export",i:0.00213834632926874,a:"Introducing XML Export This guide is for developers who want to incorporate OpenText File Content Extraction XML conversion technology into their applications using a C development environment. It is intended for readers who are familiar with XML and C."},"2":{y:0,u:"../Content/export/Introduction/Overview.htm",l:-1,t:"Overview",i:0.00150058318491147,a:"XML Export is part of the File Content Extraction Export SDK. It enables you to convert virtually any document, spreadsheet, presentation, or graphic into well-formed, valid XML. With XML Export, you control the content, structure, and format of the XML output using either easily customized ..."},"3":{y:0,u:"../Content/export/Introduction/Features.htm",l:-1,t:"Features",i:0.00150058318491147,a:"Dynamically convert word processing, spreadsheet, presentation, and graphics files into  well-formed, valid, and 1.0-compliant XML . Export supports over 300 formats in 70 languages. Convert files either in-process or out-of-process. Out-of-process conversion ensures the stability and robustness of ..."},"4":{y:0,u:"../Content/export/Introduction/Package_Contents.htm",l:-1,t:"Package Contents",i:0.00150058318491147,a:"To get started with the Export SDK, unzip the package to a directory on your machine. The Export SDK packages for non-Windows platforms store the correct file permissions for the files in the SDK (for example, some files must be executable) . OpenText recommends that you unzip the SDK on the ..."},"5":{y:0,u:"../Content/Shared/_KV_License_Update.htm",l:-1,t:"License Information",i:0.0142225520288483,a:"Your license key controls whether you have the full version of the File Content Extraction SDK, or a trial version. It also determines whether the following advanced features are enabled: Advanced character set detection with the character set detection library (kvlangdetect). Advanced document ..."},"6":{y:0,u:"../Content/export/Introduction/Directory_Structure.htm",l:-1,t:"Directory Structure",i:0.00150058318491147,a:" The following table describes the directories created during the XML Export installation. The variable install is the path name of the Export installation directory (for example, /usr/autonomy/KeyviewExportSDK on UNIX, or C:\\Program Files\\Autonomy\\KeyviewExportSDK on Windows). On UNIX, the XML ..."},"7":{y:0,u:"../Content/export/Introduction/Definition_of_Terms.htm",l:-1,t:"Definition of Terms",i:0.00150058318491147,a:"Definition of Terms The following are specialized terms used throughout the guide. "},"8":{y:0,u:"../Content/export/GettingStarted/GettingStarted.htm",l:-1,t:"Getting Started",i:0.00213834632926874,a:"Getting Started This section provides an overview of the XML Export SDK and describes how to use the C implementations of the API."},"9":{y:0,u:"../Content/export/GettingStarted/Architectural_Overview.htm",l:-1,t:"Architectural Overview",i:0.00150058318491147,a:"Architectural Overview The general architecture of the File Content Extraction XML conversion technology is the same across all supported platforms and is illustrated in the following diagram: XML Export Architecture Each component is described in the following table."},"10":{y:0,u:"../Content/export/GettingStarted/Enhance_Performance.htm",l:-1,t:"Enhance Performance",i:0.00150058318491147,a:"File Content Extraction is designed for optimal performance out of the box. However, there are some parameters that you can adjust to improve performance specifically for your system. File Caching To reduce the frequency of I/O operations, and consequently improve performance, the File Content ..."},"11":{y:0,u:"../Content/export/GettingStarted/Convert_Files.htm",l:-1,t:"Convert Files",i:0.00150058318491147,a:"File Content Extraction Export SDK enables you to convert many different types of documents to XML. Converting is the process of extracting the text from a document without the application-specific markup, and applying XML markup. The conversion process can also include the following: Extracting ..."},"12":{y:0,u:"../Content/export/GettingStarted/Subfile_Extraction.htm",l:-1,t:"Subfile Extraction",i:0.00164230832810198,a:"To convert a file, you must first determine whether the source file contains any subfiles (attachments, embedded objects, and so on). A file that contains subfiles is called a container file. Compressed files (such as Zip), mail messages with attachments (such as Microsoft Outlook Express), mail ..."},"13":{y:0,u:"../Content/export/GettingStarted/Set_Conversion_Options.htm",l:-1,t:"Set Conversion Options",i:0.00414782440753157,a:"Conversion options are parameters that determine the content, structure, and appearance of the XML output. For example, you can specify:  the markup inserted at the beginning and end of specific XML blocks whether a heading is included in the table of contents the output character set  the ..."},"14":{y:0,u:"../Content/export/GettingStarted/HTML_Export_API_C.htm",l:-1,t:"Use the C-Language Implementation of the API",i:0.00170011361145124,a:"The C-language implementation of the API is divided into the following function suites: File Extraction API Functions —Open and extract subfiles in a container file. These functions also extract metadata and file format information, and control character set conversion on extraction. XML Export API ..."},"15":{y:0,u:"../Content/export/GettingStarted/Use_Verity_DocType_Definition.htm",l:-1,t:"Use the Document Type Definition (DTD)",i:0.00214438868983618,a:"XML Export produces well-formed, valid XML documents. Document validity is based on a Document Type Definition (DTD) called the Verity.dtd. The Verity.dtd is in the default output directory tempout. If the DTD is in a different directory, the full path must be specified in pszVerityDTDPath.  The ..."},"16":{y:0,u:"../Content/part_Use.htm",l:-1,t:"Use the Export API",i:0.00150058318491147,a:"Use the Export API This section explains how to perform some basic tasks using the  File Extraction and  Export APIs, and describes the sample programs. It contains the following chapters: Use the File Extraction API Use the XML Export API Sample Programs"},"17":{y:0,u:"../Content/extract/Extract_API.htm",l:-1,t:"Use the File Extraction API",i:0.00439434507625327,a:"Use the File Extraction API This section describes how to extract subfiles from a container file by using the File Extraction API. "},"18":{y:0,u:"../Content/extract/Introduction.htm",l:-1,t:"Introduction",i:0.00150058318491147,a:"A file can contain other files, which we call subfiles. Examples of subfiles include e-mail attachments and embedded OLE objects. A file that contains subfiles is called a container file. The following are examples of container files: Archive files such as the ZIP, TAR, and RAR formats. Mail ..."},"19":{y:0,u:"../Content/extract/Extract_Subfiles_C.htm",l:-1,t:"Extract Subfiles",i:0.00150058318491147,a:"To  convert  all files in a container file, you must open the container and extract its subfiles by using the File Extraction API. The extraction process is done repeatedly until all subfiles are extracted and exposed for  conversion . After a subfile is extracted, you can call  Export  API ..."},"20":{y:0,u:"../Content/_KV_xtract_sanitize_paths.htm",l:-1,t:"Sanitize Absolute Paths",i:0.00534139242104215,a:"When you extract a subfile from a container and write it to disk, you specify an extract directory  and a path to extract the file to. To set the path, you might use the path in the container file that you are extracting from, as returned  from the function  fpGetSubFileInfo() .  However, if the ..."},"21":{y:0,u:"../Content/extract/Extract_protected_containers.htm",l:-1,t:"Extract Protected Container Files",i:0.00150058318491147,a:"This section describes how to extract container files that are protected with a password or require other types of credentials. The following guidelines apply to specific file types. Lotus Notes NSF files. If you are running a Notes client with an active user connected to a Domino server, you must ..."},"22":{y:0,u:"../Content/Shared/_KV_xtract_Extract_Images.htm",l:-1,t:"Extract Images",i:0.00150058318491147,a:"You can use the File Extraction API  to extract images within a file. If you use this feature, images within the file  behave in the same way as any other subfile. Extracted images  have the name image[X].[Y], where [X] is an integer, and [Y] is the extension. The format of the image is the same as ..."},"23":{y:0,u:"../Content/extract/Understand_Subfile_Hierarchy.htm",l:-1,t:"Understand the Subfile Hierarchy",i:0.00887499403669362,a:"When you extract a container file, the paths or relationships between the subfiles might be irrelevant. For example, you might want to filter the subfiles contained in a ZIP archive, but you might not care about the file and folder structure. File Content Extraction provides information that enables ..."},"24":{y:0,u:"../Content/extract/_KV_ExtractMailFiles.htm",l:-1,t:"Extract Mail Files",i:0.00213834632926874,a:"A file that contains an e-mail message, for example a Microsoft Outlook .MSG file, is typically treated as a container even if it does not have any attachments. File Content Extraction provides access to the message text as a subfile.  When you extract a subfile that represents the text of a ..."},"25":{y:0,u:"../Content/extract/Extract_Mailbox.htm",l:-1,t:"Mailbox Files",i:0.00150058318491147,a:"A Mailbox (MBX) file is a collection of individual emails compiled with RFC 822 and RFC 2045 - 2049 (MIME), and divided by message separators. There are many mail applications that export to an MBX format, such as Eudora Email and Mozilla Thunderbird.  In Eudora MBX files, attachments are inserted ..."},"26":{y:0,u:"../Content/extract/Extract_PST.htm",l:-1,t:"Outlook Personal Folders Files",i:0.00150058318491147,a:"File Content Extraction can extract Outlook items such as messages, appointments, contacts, tasks, notes, and journal entries from a PST file.  By default, an extracted message will include header information (the fields To, From, Sent, and so on) even though this information is stored in the PST ..."},"27":{y:0,u:"../Content/extract/Extract_LotusDominoXML.htm",l:-1,t:"Lotus Domino XML Language Files",i:0.00150058318491147,a:"You can make sure that dates and times extracted from Lotus Domino .DXL files are displayed in a uniform format. To extract custom date/time formats In the formats_e.ini file, set the DateTimeFormat option in the [dxlsr] section. For example: [dxlsr]\nDateTimeFormat=%m/%d/%Y %I:%M:%S %p In this ..."},"28":{y:0,u:"../Content/extract/Extract_LotusNotes_DB.htm",l:-1,t:"Lotus Notes Database Files",i:0.00150058318491147,a:"A Lotus Notes database is a single file that contains multiple documents called notes. Notes include design notes (such as forms, views, folders, navigators, outlines, pages, framesets, agents, and resources), data document notes, profile document notes, access control list notes, and collection ..."},"29":{y:0,u:"../Content/extract/Extract_PDF.htm",l:-1,t:"Extract Subfiles from PDF Files",i:0.00150058318491147,a:"File Content Extraction can extract document-level and page-level attachments from a PDF document. Document-level attachments are added by using the Attach A File tool, and can include links to or from the parent document or to other file attachments. Page-level attachments are added as comments by ..."},"30":{y:0,u:"../Content/Shared/_KV_PDF_ImprovePerformanceWithSmallImages.htm",l:-1,t:"Improve Performance for PDFs with Many Small Images",i:0.00150058318491147,a:"To improve performance when processing PDF files that contain many small images, you can choose to ignore images unless they exceed a minimum width and/or height. If an image is smaller than the minimum width or height, File Content Extraction does not extract the image.  For example, to ignore ..."},"31":{y:0,u:"../Content/extract/Extract_OLE.htm",l:-1,t:"Extract Embedded OLE Objects",i:0.00150058318491147,a:"Embedded OLE objects can be converted in two ways: Using the File Extraction API, the OLE object is first extracted from the main file and saved to disk. It can then be converted by making a separate conversion call. Using the  XML  Export API, the main file is converted to  XML  and the OLE object ..."},"32":{y:0,u:"../Content/extract/_KV_xtract_c_Default_Filenames_Extracted_Subfiles.htm",l:-1,t:"Default File Names for Extracted Subfiles",i:0.00243311170350065,a:"When you do not specify a file name in the call to   fpExtractSubFile() , in some cases a default file name is applied to the extracted subfile. Default File Name for Mail Formats To avoid naming conflicts and problems with long file names, File Content Extraction applies its own names to the ..."},"33":{y:0,u:"../Content/export/UseExportAPI/HTML_api.htm",l:-1,t:"Use the XML Export API",i:0.00257317350837084,a:"Use the XML Export API This section describes how to perform some basic tasks by using the XML Export API."},"34":{y:0,u:"../Content/export/UseExportAPI/Extract_Metadata.htm",l:-1,t:"Extract Metadata",i:0.00203912713761978,a:"When a file format supports metadata, File Content Extraction can extract and process that information. Metadata includes document information fields such as title, author, creation date, and file size. Depending on the file\u0027s format, metadata is referred to in a number of ways: for example, ..."},"35":{y:0,u:"../Content/export/UseExportAPI/Extract_File_Format_Info.htm",l:-1,t:"Obtain File Format Information",i:0.00164230832810198,a:"The File Content Extraction format detection module (kwad) detects a file\u0027s format. This feature enables you to apply customized conversion settings based on a file\u0027s format. To obtain file format information using the C API Declare a pointer to the  KVStreamInfo  data structure. Call the  ..."},"36":{y:0,u:"../Content/export/UseExportAPI/Convert_Character_Sets.htm",l:-1,t:"Convert Character Sets",i:0.00380816066715011,a:"Export allows you to control the character set of both the input and the output text. This is accomplished by either setting the source and/or target character set in the API, or  basing the input/output on the character set of the document (if the document character set is stored in the document ..."},"37":{y:0,u:"../Content/export/UseExportAPI/Map_Styles.htm",l:-1,t:"Map Styles",i:0.0090078511179612,a:"Export can map paragraph and character styles in any word processing format that contains styles (such as Microsoft Word, RTF, or Folio Flat File) to user-defined markup.  With this feature, you can redact (hide) text in the source document, delete content, or change the overall structure of the ..."},"38":{y:0,u:"../Content/export/UseExportAPI/Use_Style_Sheets.htm",l:-1,t:"Use Style Sheets",i:0.0017717967991223,a:"XML is a content-based metalanguage designed to structure data. XML does not include information about how a document should be displayed in a browser. To view an XML document in a browser, information about how its displayed must be provided by style sheets. These are coded by using either ..."},"39":{y:0,u:"../Content/export/UseExportAPI/Vector_Graphics_Output.htm",l:-1,t:"Vector Graphics Output",i:0.00241560230404701,a:"Sometimes an input document contains vector graphics like charts or diagrams that can be included in the output produced by File Content Extraction.  For presentation formats like PowerPoint, the entire slide can be considered as a vector graphic. You can choose the output format for vector ..."},"40":{y:0,u:"../Content/export/UseExportAPI/C-Only/Convert_Revision_Tracking_Info.htm",l:-1,t:"Convert Revision Tracking Information",i:0.00300893353173876,a:"The revision tracking feature in applications—such as Microsoft Word\u0027s Track Changes—marks changes to a document (typically, strikethrough for deleted text and underline for inserted text) and tracks each change by reviewer name and date.  If revision tracking was enabled when changes were made to a ..."},"41":{y:0,u:"../Content/export/UseExportAPI/Convert_Text_Box.htm",l:-1,t:"Convert Text Box Information",i:0.00150058318491147,a:"For Microsoft Word Processing documents (DOCX) that have the File Content Extraction format MS_Word_2007_Fmt, XML Export exposes the information from the file that is used to position text boxes on the page.  The TextBox element surrounds text that was contained in a positioned text box, and it has ..."},"42":{y:0,u:"../Content/export/UseExportAPI/Convert_PDF_Files.htm",l:-1,t:"Convert PDF Files",i:0.00424550562401338,a:"Export has special configuration options that allow greater control over the conversion of PDF files. These options can improve the fidelity and accuracy of the XML output. Convert PDF Files to a Logical Reading Order The PDF format is primarily designed for presentation and printing of brochures, ..."},"43":{y:0,u:"../Content/pdf2sr_image_size.htm",l:-1,t:"Configure the Size of Exported Images",i:0.00150058318491147,a:"When you use the pdf2sr reader to export images of the pages in a PDF file, you can configure the size of the images produced by File Content Extraction. When a page in a PDF document consists of a single embedded image (such as when the PDF is a scanned document), the page image is output at the ..."},"44":{y:0,u:"../Content/export/UseExportAPI/Convert_Spreadsheet_Files.htm",l:-1,t:"Convert Spreadsheet Files",i:0.00150058318491147,a:"Export has special configuration options that allow greater control over the conversion of spreadsheet files.  Convert Hidden Text in Microsoft Excel Files Normally, Export does not convert hidden text from a Microsoft Excel spreadsheet because it is assumed that the text should not be exposed. You ..."},"45":{y:0,u:"../Content/export/UseExportAPI/C-Only/Convert_Presentation_Files.htm",l:-1,t:"Convert Presentation Files",i:0.00214438868983618,a:"Export has special configuration options that allow greater control over the conversion of presentation files. Convert Presentation Files to Raster Images Export allows you to convert each slide in a presentation document to a raster image, providing a high-fidelity conversion of the document.  The ..."},"46":{y:0,u:"../Content/export/UseExportAPI/Convert_XML_Files.htm",l:-1,t:"Convert XML Files",i:0.00441499665818441,a:"Export enables you to extract all or selected content from source XML files (see  Configure Element Extraction for XML Documents ). It detects the following XML formats: generic XML Microsoft Office 2003 XML (Word, Excel, and Visio) StarOffice/OpenOffice XML (text document, presentation, and ..."},"47":{y:0,u:"../Content/export/UseExportAPI/Show_Hidden_Data.htm",l:-1,t:"Show Hidden Data",i:0.00332213500766988,a:"Microsoft Word, Excel, and PowerPoint documents contain hidden information, some of which is shown by default when exported, and some of which is hidden by default. There are several options that allow you to determine which types of hidden data are shown. File Content Extraction does not consider ..."},"48":{y:0,u:"../Content/Shared/_KV_No_Phonetic_Guides.htm",l:-1,t:"Japanese Guide Text - Microsoft Excel",i:0.00150058318491147,a:"Japanese Guide Text - Microsoft Excel This option prevents output of Japanese phonetic guide text when Microsoft Excel (.xlsx) files are processed. To prevent output of Japanese phonetic guide text In  formats_e.ini, set the following parameter.  [Options]\nNoPhoneticGuides=TRUE"},"49":{y:0,u:"../Content/export/UseExportAPI/C-Only/Obtain_Image_Info.htm",l:-1,t:"Obtain Image Info",i:0.00150058318491147,a:"When exporting from presentation graphics files, and when using the pdf2sr reader to export from PDF files, File Content Extraction can obtain information about the number of images that it would create during export, without having to run a full export. This option uses function pointers that are ..."},"50":{y:0,u:"../Content/Shared/_KV_Code_Identification.htm",l:-1,t:"Source Code Identification",i:0.00150058318491147,a:"Source code identification attempts to identify files that contain a particular programming language as a specific format.  When you do not enable source code identification, files that contain source code are often identified as ASCII text files, which means the application treats them in the same ..."},"51":{y:0,u:"../Content/kv_RMS/_KV_RMS_ConfigureProxyForRMS.htm",l:-1,t:"Configure the Proxy for RMS",i:0.00150058318491147,a:"When File Content Extraction needs to access contents that are protected by the Microsoft Rights Management System (RMS), it must make HTTP requests. By default, File Content Extraction uses the system proxy settings for these requests.  To use different proxy settings, you can configure them  in ..."},"52":{y:0,u:"../Content/kv_security/_KV_SecurityBestPractises.htm",l:-1,t:"Security Best Practices",i:0.00150058318491147,a:"This section outlines some security best practices to consider when using File Content Extraction. Keep File Content Extraction Up to Date. New releases may include security updates, including updates to third-party libraries. See  Third-Party Library Upgrade Policy . Protect the Temporary ..."},"53":{y:0,u:"../Content/export/GettingStarted/Convert_Files_Out_of_Process.htm",l:-1,t:"Convert Files Out-of-Process",i:0.024180128732094,a:"Export can run independently from the calling application. This is called out-of-process. Out-of-process conversions protect the stability of the calling application in the rare case when a malformed document causes Export to fail. You can also run Export in the same process as the calling ..."},"54":{y:0,u:"../Content/export/GettingStarted/ConvertOOP_Run_C.htm",l:-1,t:"Run Export Out-of-Process",i:0.00159758156524872,a:"The cnv2xmloop sample program demonstrates how to run Export out-of-process. To convert files out-of-process in the C API If required, set parameters for the out-of-process conversion in the formats_e.ini file. See  \n            Configure Out-of-Process Conversions . Declare instances of the ..."},"55":{y:0,u:"../Content/kv_security/_KV_ProtectTempDir.htm",l:-1,t:"Protect the Temporary Directory",i:0.00297949170592767,a:"XML Export writes temporary files to the temporary directory. These temporary files frequently include the contents of files that you are processing, including decrypted parts of encrypted files. Sensitive information is therefore exposed in the temporary directory, so it is important that only ..."},"56":{y:0,u:"../Content/kv_security/_KV_RunMinimalPrivileges.htm",l:-1,t:"Run XML Export with Minimal Privileges",i:0.00297949170592767,a:"OpenText recommends that you run XML Export with only those privileges that are necessary for it to function correctly, which follows best practice for any application. In particular, XML Export needs access only to the following directories: the XML Export bin directory. any input and output ..."},"57":{y:0,u:"../Content/kv_security/_KV_DLLPreloading.htm",l:-1,t:"Mitigate Against DLL Pre-Loading",i:0.00171317089969723,a:"When an  application loads a shared library such as  kvhtml.dll or kvhtml.so , the Operating System or runtime linker might search several locations. This search can allow DLL pre-loading attacks if an attacker is able to place a malicious binary in one of the locations searched. It might also lead ..."},"58":{y:0,u:"../Content/metadata/_KV_Using_Metadata_API.htm",l:-1,t:"Use the Metadata API",i:0.0134238079583572,a:"Use the Metadata API This section describes how to use File Content Extraction to access metadata."},"59":{y:0,u:"../Content/metadata/_KV_What_Is_Metadata.htm",l:-1,t:"What is Metadata?",i:0.00218778232214969,a:"Documents may contain information about the document itself: we call this metadata. For instance, a raster image file contains metadata recording the image\u0027s width and height; a word processing document may contain metadata recording the document\u0027s author and title. Metadata can be represented by ..."},"60":{y:0,u:"../Content/metadata/Mail_Metadata.htm",l:-1,t:"Mail Metadata",i:0.00242534496105618,a:"An e-mail message body and any attachments are considered by File Content Extraction as subfiles of the mail container (such as an MSG or EML file). The metadata for the message (the header fields such as \"From\", \"Sent\", \"To\", \"CC\", \"Subject\", and so on) are typically stored in the container and can ..."},"61":{y:0,u:"../Content/metadata/_KV_Understanding_Metadata.htm",l:-1,t:"Field Standardization",i:0.00432750213861814,a:"Common metadata fields such as \"Title\", \"Author\", and \"Subject\" exist in many different file formats, but can be stored in different ways. For instance, one raster image format may store the image width as a key-value pair with key Width. Another format may store the image width in bytes 16-19 of ..."},"62":{y:0,u:"../Content/metadata/_KV_Process_Fields.htm",l:-1,t:"Metadata Elements",i:0.00150058318491147,a:"This section explains how to process metadata elements. Standardized Elements When File Content Extraction understands the meaning of a metadata field in a document, it outputs that data in a standardized element - a  KVMetadataElement  object where: eKey is the standard key, which indicates the ..."},"63":{y:0,u:"../Content/metadata/_KV_Metadata_Examples.htm",l:-1,t:"Metadata Examples",i:0.00150058318491147,a:"If you want to process both standardized and non-standardized metadata elements, you can loop through a  KVMetadataList  without checking the eKey member – both standardized and non-standardized metadata can be handled in the same way. However, standardization allows you to handle particular ..."},"64":{y:0,u:"../Content/metadata/_KV_Standardized_Metadata_Fields.htm",l:-1,t:"Standardized Metadata Elements",i:0.00332568095019117,a:"The following tables describe the standardized metadata elements that File Content Extraction can create. Audio Metadata Date Metadata These dates are retrieved from values stored within the document, and are typically set by the creating application. For documents that exist on disk, this may ..."},"65":{y:0,u:"../Content/C/samples_export/html_samples_c.htm",l:-1,t:"Sample Programs",i:0.00206748375767349,a:"Sample Programs This section describes the  sample programs provided with XML Export."},"66":{y:0,u:"../Content/C/samples_export/Introduction.htm",l:-1,t:"Introduction",i:0.00191756981412308,a:"The sample programs demonstrate how to use XML Export. The sample code is intended to provide a starting point for your own applications or to be used for reference purposes.  You can also test these sample programs with the sample files provided in  install\\testdocs. The following sample programs ..."},"67":{y:0,u:"../Content/Shared/_KV_xtract_samples_c.htm",l:-1,t:"tstxtract",i:0.00177224654023691,a:"The tstxtract sample program demonstrates the File Extraction API. It opens a file, extracts subfiles from the file, and repeats the extraction process until all subfiles are extracted. It also demonstrates how to extract the default set of metadata and pass integer or string names to extract ..."},"68":{y:0,u:"../Content/C/samples_export/cnv2xml.htm",l:-1,t:"cnv2xml",i:0.00310239068352013,a:"The cnv2xml sample program creates a single, formatted XML output file. This program runs on both Windows and UNIX platforms. To run cnv2xml, type the following at the command line: cnv2xml [options] inputfile outputfile where: options is one or more of the options listed in  Options for cnv2xml . ..."},"69":{y:0,u:"../Content/C/samples_export/cnv2xmloop.htm",l:-1,t:"cnv2xmloop",i:0.00247292932979278,a:"The cnv2xmloop sample program creates a single, formatted XML output file, but unlike cnv2xml, it converts the file out-of-process. See  Convert Files Out-of-Process  for more information on out-of-process conversions. This program runs on both Windows and UNIX platforms. To run cnv2xmloop, type the ..."},"70":{y:0,u:"../Content/C/samples_export/metadata.htm",l:-1,t:"metadata",i:0.00177224654023691,a:"The metadata sample program converts a source document into a single XML file that  contains only the document metadata (Author, Subject, Title, and so on). This program runs on both Windows and UNIX platforms. To run metadata, type the following at the command line: metadata inputfile outputfile ..."},"71":{y:0,u:"../Content/C/samples_export/xmlini.htm",l:-1,t:"xmlini",i:0.00517043135200853,a:"The xmlini sample program is used in conjunction with template files to produce well-formed XML documents. For more information, see  Explore Conversion Options with the Sample Programs . Sample template files are in the programs\\ini directory. This program runs on both Windows and UNIX platforms. ..."},"72":{y:0,u:"../Content/C/samples_export/xmlcallback.htm",l:-1,t:"xmlcallback",i:0.00177224654023691,a:"The xmlcallback sample program demonstrates how you can control the conversion to generate specialized output while it is in progress. The program employs developer-defined callbacks during conversion. This program runs on Windows platforms only. To run xmlcallback, type the following at the command ..."},"73":{y:0,u:"../Content/part_CReference.htm",l:-1,t:"C API Reference",i:0.00150058318491147,a:"This section provides detailed reference information for the C-language implementation of the  File Extraction and  Export APIs. File Extraction API Functions File Extraction API Structures XML Export API Functions XML Export API Callback Functions XML Export API Structures Enumerated Types"},"74":{y:0,u:"../Content/C/extract/XTRACT_functions.htm",l:-1,t:"File Extraction API Functions",i:0.00387526519166748,a:"This section describes the functions in the File Extraction API. The File Extraction functions open a container file, and extract the container’s subfiles so that the subfiles are exposed and available for  conversion . Subfiles can be files within a Zip archive, messages in a mail store, ..."},"75":{y:0,u:"../Content/C/extract/fpCloseFile.htm",l:-1,t:"fpCloseFile()",i:0.0160607681671331,a:"This function frees the memory allocated by  fpOpenFile()  and closes the file. Syntax int (pascal *fpCloseFile) (void *pFile); Arguments Returns If the file is closed, the return value is KVERR_Success.  If the file is not closed, the return value is an error code. Lifetime and Memory Management ..."},"76":{y:0,u:"../Content/C/extract/fpCloseSubFile.htm",l:-1,t:"fpCloseSubFile()",i:0.00447245697005292,a:"Closes a stream opened by  fpOpenSubFile() . Syntax int (pascal *fpCloseSubFile) (\n        KVInputStream *stream); Arguments Returns If the subfile is closed, the return value is KVERR_Success If the subfile is not closed, the return value is an error code. Lifetime and Memory Management After you ..."},"77":{y:0,u:"../Content/C/extract/fpExtractSubFile.htm",l:-1,t:"fpExtractSubFile()",i:0.0235982871272057,a:"This function extracts a subfile from a container file to a user-defined path or output stream. This call returns file format information when file is extracted to a path. Syntax int (pascal *fpExtractSubFile)  (\n\t            void                          *pFile, \n\t\t    ..."},"78":{y:0,u:"../Content/C/extract/fpFreeStruct.htm",l:-1,t:"fpFreeStruct()",i:0.0125516714943179,a:"This function frees the memory allocated by  fpGetMainFileInfo() ,  fpGetSubFileInfo() ,  fpGetSubFileMetaData() , and  fpExtractSubFile() . Syntax int (pascal *fpFreeStruct) (\n    void      *pFile, \n    void      *obj);  Arguments Returns If the allocated memory is freed, the return value is ..."},"79":{y:0,u:"../Content/C/extract/fpGetExtractInfo.htm",l:-1,t:"fpGetExtractInfo()",i:0.00256756380363127,a:"This function returns information about a stream opened by  fpOpenSubFile() . Syntax int (pascal *fpGetExtractInfo) (\n       KVInputStream *stream,\n       KVSubFileExtractInfo *extractInfo);\n Arguments Returns If an issue occurs when obtaining the extraction information, the return value is an error ..."},"80":{y:0,u:"../Content/C/extract/fpGetExtractStatus.htm",l:-1,t:"fpGetExtractStatus()",i:0.00150058318491147,a:"This function returns the status of an input stream opened by  fpOpenSubFile() . Syntax int (pascal *fpGetExtractStatus) (\n       KVInputStream *stream);\n Arguments Returns If an error occurred when one of the input stream function pointers was last called, this function should return the associated ..."},"81":{y:0,u:"../Content/C/extract/fpGetMainFileInfo.htm",l:-1,t:"fpGetMainFileInfo()",i:0.0134901605750714,a:"This function determines whether a file is a container file—that is, whether it contains subfiles—and should be extracted further.  Syntax int (pascal *fpGetMainFileInfo) (\n    void               *pFile, \n    KVMainFileInfo     *fileInfo);  Arguments Returns If the file information is retrieved, the ..."},"82":{y:0,u:"../Content/C/extract/fpGetSubFileInfo.htm",l:-1,t:"fpGetSubFileInfo()",i:0.015992619434442,a:"This function gets information about a subfile in a container file. Syntax int (pascal *fpGetSubFileInfo)  (\n    void                    *pFile, \n    int                      index,\n    KVSubFileInfo           *subFileInfo); Arguments Returns If the file information is retrieved, the return value is ..."},"83":{y:0,u:"../Content/C/extract/fpGetSubFileMetadataList.htm",l:-1,t:"fpGetSubFileMetadataList()",i:0.010133336179202,a:"Containers can store metadata about their subfiles that is independent of the metadata stored within those subfiles. This function allows you to retrieve the metadata stored within the container about a particular subfile. Syntax KVErrorCode pascal fpGetSubFileMetadataList(\n    void* const pFile,\n   ..."},"84":{y:0,u:"../Content/C/extract/fpGetSubFileMetaData.htm",l:-1,t:"fpGetSubFileMetaData()",i:0.00632421119888383,a:"The function fpGetSubFileMetaData() is deprecated in KeyView 23.2.0 and later. OpenText recommends that you use the function  fpGetSubFileMetadataList()  instead. This function is still available for existing implementations, but it might be incompatible with new functionality and might be removed ..."},"85":{y:0,u:"../Content/C/extract/fpOpenFile.htm",l:-1,t:"fpOpenFile()",i:0.024302246499963,a:"This function opens a file to make the file accessible for subfile extraction  or conversion . Syntax int (pascal *fpOpenFile) (\n    void                      *pContext,\n    KVOpenFileArg              openArg,\n    void                      **pFile); Arguments Returns If the file is opened, the ..."},"86":{y:0,u:"../Content/C/extract/fpOpenSubFile.htm",l:-1,t:"fpOpenSubFile()",i:0.00836472860411993,a:"This function opens a subfile as a stream, which can be used directly or passed to other File Content Extraction interfaces. Syntax int (pascal *fpOpenSubFile) (\n        void                  *pFile,\n        KVExtractSubFileArg    extractArg,\n        KVInputStream        **stream); Arguments Returns ..."},"87":{y:0,u:"../Content/C/extract/XTRACT_struct.htm",l:-1,t:"File Extraction API Structures",i:0.00171317089969723,a:"File Extraction API Structures This section provides information on the structures used by the File Extraction API. These structures define the input and output parameters required to extract subfiles from a container file, and are defined in kvxtract.h. "},"88":{y:0,u:"../Content/C/extract/KVCredential.htm",l:-1,t:"KVCredential",i:0.00475190399459997,a:"This structure contains a count of the number of credential elements, and a pointer to the first element of the array of individual elements. The structure is initialized by calling  fpOpenFile() , and is defined in kvxtract.h. typedef struct  ..."},"89":{y:0,u:"../Content/C/extract/KVCredentialComponent.htm",l:-1,t:"KVCredentialComponent",i:0.0171847926275701,a:"This structure contains the value of a credential item. The structure is defined in kvxtract.h. typedef struct  tag_KVCredentialComponent\n{\n    KVCredKeyType      keytype;\n    union\n    {\n        void           *pkey;\n        char           *skey;\n        unsigned ..."},"90":{y:0,u:"../Content/C/extract/KVExtractInterface.htm",l:-1,t:"KVExtractInterface",i:0.00495108128460202,a:"The members of this structure are pointers to the file extraction functions described in  File Extraction API Functions . Calling the  KVGetExtractInterface()  function assigns the function pointers in the structure. The structure is defined in kvxtract.h.  typedef struct  ..."},"91":{y:0,u:"../Content/C/extract/KVExtractSubFileArg.htm",l:-1,t:"KVExtractSubFileArg",i:0.025608700265959,a:"This structure defines the input parameters required to extract a subfile. See  fpExtractSubFile() . The structure is defined in kvxtract.h. typedef struct ..."},"92":{y:0,u:"../Content/C/extract/KVGetSubFileMetaArg.htm",l:-1,t:"KVGetSubFileMetaArg",i:0.00359416094533304,a:"This structure defines the metadata tags whose values are retrieved by  fpGetSubFileMetaData() . This structure is defined in kvxtract.h. typedef struct  ..."},"93":{y:0,u:"../Content/C/extract/KVGetSubFileMetadataListArg.htm",l:-1,t:"KVGetSubFileMetadataListArg",i:0.00257731460041038,a:"This structure defines the input parameters required to retrieve subfile metadata using the function  fpGetSubFileMetadataList() . This structure is defined in kvxtract.h. \ntypedef struct tag_KVGetSubfileMetadataListArg\n{\n    KVStructHeader;\n    int index; /*The sub file index*/\n    KVCharSet ..."},"94":{y:0,u:"../Content/C/extract/KVMainFileInfo.htm",l:-1,t:"KVMainFileInfo",i:0.00636490184430027,a:"This structure contains information about a main file that is open for extraction. It is initialized by calling  fpGetMainFileInfo() .  This structure is defined in kvxtract.h. typedef struct  ..."},"95":{y:0,u:"../Content/C/extract/KVMetadataElem.htm",l:-1,t:"KVMetadataElem",i:0.00336292069066224,a:"The KVMetadataElem structure is deprecated in KeyView 23.2.0 and later. OpenText recommends that you access metadata using the metadata API described in  Use the Metadata API . This structure is still available for existing implementations, but it might be incompatible with new functionality and ..."},"96":{y:0,u:"../Content/C/extract/KVMetaName.htm",l:-1,t:"KVMetaName",i:0.00385269067468721,a:"The KVMetaName structure is deprecated in KeyView 23.2.0 and later. OpenText recommends that you access metadata using the metadata API described in  Use the Metadata API . This structure is still available for existing implementations, but it might be incompatible with new functionality and might ..."},"97":{y:0,u:"../Content/C/extract/KVOpenFileArg.htm",l:-1,t:"KVOpenFileArg",i:0.0191237453180404,a:"This structure defines the input arguments necessary to open a file for extraction. This structure is defined in kvxtract.h. To open a file for extraction, initialize a KVOpenFileArg structure and pass it to the function  fpOpenFile() . To specify the input document you should set one the members ..."},"98":{y:0,u:"../Content/C/extract/KVOutputStream.htm",l:-1,t:"KVOutputStream",i:0.00512880470625639,a:"This structure defines an output stream for the extracted subfile. The structure is defined in kvstream.h. typedef struct tag_OutputStream\n{\n void  *pOutputStreamPrivateData;\n BOOL (pascal *fpCreate)(struct tag_OutputStream *,TCHAR *);\n UINT (pascal *fpWrite) (struct tag_OutputStream *, BYTE *, ..."},"99":{y:0,u:"../Content/C/extract/KVSubFileExtractInfo.htm",l:-1,t:"KVSubFileExtractInfo",i:0.0118886004895009,a:"This structure contains information about an extracted subfile. It is initialized by calling  fpExtractSubFile() . This structure is defined in kvxtract.h. typedef struct tag_KVSubFileExtractInfo\n{\n    KVStructHeader;\n    char            *filePath; \n    char            *fileName;\n    unsigned ..."},"100":{y:0,u:"../Content/C/extract/KVSubFileInfo.htm",l:-1,t:"KVSubFileInfo",i:0.00767918150265202,a:"This structure contains information about a subfile in a container file. It is initialized by calling  fpGetSubFileInfo() . This structure is defined in kvxtract.h. typedef struct tag_KVSubFileInfo\n{\n    KVStructHeader;\n    char          *subFileName;\n    int           subFileType;\n    uint64_t      ..."},"101":{y:0,u:"../Content/C/extract/KVSubFileMetaData.htm",l:-1,t:"KVSubFileMetaData",i:0.00364274768141831,a:"The KVSubFileMetaData structure is deprecated in KeyView 23.2.0 and later. OpenText recommends that you access metadata using the metadata API described in  Use the Metadata API . This structure is still available for existing implementations, but it might be incompatible with new functionality and ..."},"102":{y:0,u:"../Content/C/ExportAPIFunctions/htmlx_functions.htm",l:-1,t:"XML Export API Functions",i:0.00622857493231595,a:"This section describes the functions in the XML Export API.  These functions manage the input and output streams, and perform the document conversion.  Each function appears as a function prototype followed by a description of its arguments, its return value, and discussion of its use."},"103":{y:0,u:"../Content/C/ExportAPIFunctions/KVXMLGetInterfaceEx.htm",l:-1,t:"KVXMLGetInterfaceEx()",i:0.00165538684859799,a:"This function is exported by the Export definition file. It supplies function pointers to other Export functions. When KVXMLGetInterfaceEx() is called, it assigns the function pointers in the structure KVXMLInterfaceEx to other functions described in this chapter. Syntax BOOL pascal ..."},"104":{y:0,u:"../Content/kv_RMS/_KV_RMS_fpConfigureRMS.htm",l:-1,t:"fpConfigureRMS()",i:0.00341387261798328,a:"This function provides a way to set the credentials required to access Azure RMS protected files. After you set these credentials, the XML Export and File Extraction API functions can operate on the contents of the Azure RMS files. The Rights Management Service (RMS) technology underpins a variety ..."},"105":{y:0,u:"../Content/C/ExportAPIFunctions/fpConvertStream.htm",l:-1,t:"fpConvertStream()",i:0.00766590986125115,a:"This function converts either a source stream or file to an output stream.  Syntax   BOOL pascal fpConvertStream( ..."},"106":{y:0,u:"../Content/C/ExportAPIFunctions/fpFileToInputStreamCreate.htm",l:-1,t:"fpFileToInputStreamCreate()",i:0.00165538684859799,a:"This function creates an input stream from an input file.  Syntax BOOL pascal _export fpFileToInputStreamCreate( \n    void            *pContext, \n    char            *pszFileName,\n    KVInputStream   *pInput); Arguments Returns If the call is successful, the return value is TRUE. If this call is ..."},"107":{y:0,u:"../Content/C/ExportAPIFunctions/fpFileToInputStreamFree.htm",l:-1,t:"fpFileToInputStreamFree()",i:0.00165538684859799,a:"This function frees the memory used to create an input stream. Syntax BOOL pascal _export fpFileToInputStreamFree( \n    void            *pContext, \n    KVInputStream   *pInput); Arguments Returns If the call is successful, the return value is TRUE. If this call is unsuccessful, the return value is ..."},"108":{y:0,u:"../Content/C/ExportAPIFunctions/fpFileToOutputStreamCreate.htm",l:-1,t:"fpFileToOutputStreamCreate()",i:0.00165538684859799,a:"This function creates an output stream from an output file.  Syntax BOOL pascal _export fpFileToOutputStreamCreate( \n    void                *pContext,\n    char                *pszFileName,\n    KVOutputStream      *pOutput ); Arguments Returns If the call is successful, the return value is TRUE. If ..."},"109":{y:0,u:"../Content/C/ExportAPIFunctions/fpFileToOutputStreamFree.htm",l:-1,t:"fpFileToOutputStreamFree()",i:0.00165538684859799,a:"This function frees the memory used to create the output stream. Syntax BOOL pascal _export fpFileToOutputStreamFree( \n    void                *pContext,\n    KVOutputStream      *pOutput ); Arguments Returns If the call is successful, the return value is TRUE. If this call is unsuccessful, the ..."},"110":{y:0,u:"../Content/C/ExportAPIFunctions/fpFreeImageInfos.htm",l:-1,t:"fpFreeImageInfos()",i:0.00150058318491147,a:"This function frees the memory associated with an image info context. Call this function when you have finished using the image info context for calls to fpGetOutputImageCount() and fpGetOutputImageInfo() (see  fpGetOutputImageCount()  and  fpGetOutputImageInfo() ). Syntax BOOL pascal ..."},"111":{y:0,u:"../Content/C/ExportAPIFunctions/fpGetAnchor.htm",l:-1,t:"fpGetAnchor()",i:0.00241197842050908,a:"This function gets the file name automatically generated by Export and used for external graphics referenced with \u003ca xmlns:xlink= xlink href=\u003e tags and for heading-level table of contents entries. Syntax BOOL pascal fpGetAnchor( ..."},"112":{y:0,u:"../Content/C/ExportAPIFunctions/fpGetConvertFileList.htm",l:-1,t:"fpGetConvertFileList()",i:0.00150058318491147,a:"This function gets the list of files automatically converted to XML during a call to fpConvertStream() or KVXMLConvertFile(). Syntax char ** pascal _export fpGetConvertFileList( \n    void    *pContext,\n    int     *pnSize ); Arguments Returns If no files are converted, the return value is a NULL ..."},"113":{y:0,u:"../Content/C/ExportAPIFunctions/fpGetKvErrorCode.htm",l:-1,t:"fpGetKvErrorCode()",i:0.00187367618940848,a:"This function gets an extended error code defined in KVErrorCode. If an HTML Export function fails, you can call fpGetKvErrorCode() to find extra information on the failure. Syntax KVErrorCode pascal fpGetKvErrorCode (\n    void \t     *pContext ); Arguments Returns The current error code. Discussion ..."},"114":{y:0,u:"../Content/C/ExportAPIFunctions/fpGetOutputImageCount.htm",l:-1,t:"fpGetOutputImageCount()",i:0.00212878144715138,a:"This function returns the number of images that would be obtained by the XML Export, and for which you can obtain image information by using fpGetOutputImageInfo(). Syntax BOOL pascal fpGetOutputImageCount (\n      const void* const pImageInfos,\n      int* const pnImages) Arguments Returns If the ..."},"115":{y:0,u:"../Content/C/ExportAPIFunctions/fpGetOutputImageInfo.htm",l:-1,t:"fpGetOutputImageInfo()",i:0.00212878144715138,a:"This function returns the dimensions of the images that would be obtained during the XML Export process. Syntax BOOL pascal fpGetOutputImageInfo (\n      const void* const pImageInfos,\n      const int nImage,\n      KVXMLImageInfo* const ptImageInfo) Arguments Returns If the call is successful, the ..."},"116":{y:0,u:"../Content/C/ExportAPIFunctions/fpGetOutputImageInfos.htm",l:-1,t:"fpGetOutputImageInfos()",i:0.00175568844265438,a:"This function returns the image information context that must be supplied to the fpGetOutputImageCount() or fpGetOutputImageInfo() functions. See  fpGetOutputImageCount()  and  fpGetOutputImageInfo() .  You must free the system resources associated with this context after you use it, by using the ..."},"117":{y:0,u:"../Content/C/ExportAPIFunctions/fpGetStreamInfo.htm",l:-1,t:"fpGetStreamInfo()",i:0.00691779236511247,a:"This function extracts file format  and character set information from the source document. Syntax BOOL pascal _export fpGetStreamInfo (\n    void            *pContext,\n    KVInputStream   *pInput,\n    KVStreamInfo    *pStreamInfo );  Arguments Returns If the call is successful, the return value is ..."},"118":{y:0,u:"../Content/C/ExportAPIFunctions/fpGetSummaryInfo.htm",l:-1,t:"fpGetSummaryInfo()",i:0.00280099611830827,a:"This function extracts all metadata from the input stream. See  Extract Metadata  for more information. Syntax BOOL pascal _export fpGetSummaryInfo( \n    void                *pContext,\n    KVInputStream       *pInput,\n    KVSummaryInfoEx     *pSummary,\n    BOOL                 bFree );   Arguments ..."},"119":{y:0,u:"../Content/C/ExportAPIFunctions/fpInit.htm",l:-1,t:"fpInit()",i:0.0295875716423643,a:"This function initializes an Export session. Syntax KVErrorCode pascal _export fpInit(\n    const char* pszKeyViewDir,\n    const char* pszLicense,\n    const char* pszIniFile,\n    DWORD dWord,\n    void** ppContext\n); Arguments Returns The function returns an error code. When initialization is ..."},"120":{y:0,u:"../Content/C/ExportAPIFunctions/fpSetStyleMapping.htm",l:-1,t:"fpSetStyleMapping()",i:0.00718143676322805,a:"This function is used to set the mapping for user-defined styles. Export does not make a distinction between paragraph styles or character styles, but operates under the assumption that each style has a unique name. Syntax BOOL pascal _export fpSetStyleMapping( ..."},"121":{y:0,u:"../Content/C/ExportAPIFunctions/fpShutDown.htm",l:-1,t:"fpShutDown()",i:0.0144862936206749,a:"This function terminates an Export session that was initialized by  fpInit() , and frees allocated system resources. It is called when the conversion context is no longer required. Syntax void pascal _export fpShutDown(KVHTMLContext *pContext); Arguments Returns None. Discussion After this function ..."},"122":{y:0,u:"../Content/C/extract/KVGetExtractInterface.htm",l:-1,t:"KVGetExtractInterface()",i:0.00384489551812666,a:"This function is the entry point to obtain the file extraction functions.  When KVGetExtractInterface() is called, it assigns the function pointers in the structure KVExtractInterface to the functions described in this section.  Syntax int pascal KVGetExtractInterface ..."},"123":{y:0,u:"../Content/C/ExportAPIFunctions/KVXMLConfig.htm",l:-1,t:"KVXMLConfig()",i:0.00819161066318268,a:"This function is called directly and provides a way to configure options prior to the document conversion. Currently, the function is used for the following configurations: Generate output without images Generate output with verbose markup and without images. To generate output with minimal markup ..."},"124":{y:0,u:"../Content/C/ExportAPIFunctions/KVXMLConvertFile.htm",l:-1,t:"KVXMLConvertFile()",i:0.00766590986125115,a:"This function is called directly and converts a source file to an output file.  Syntax BOOL pascal KVXMLConvertFile  ..."},"125":{y:0,u:"../Content/C/ExportAPIFunctions/KVXMLEndOOPSession.htm",l:-1,t:"KVXMLEndOOPSession()",i:0.00583983266820252,a:"This function terminates the current out-of-process conversion session, and releases the source data and resources related to the session. Syntax BOOL pascal ..."},"126":{y:0,u:"../Content/C/ExportAPIFunctions/KVXMLSetStyleSheet.htm",l:-1,t:"KVXMLSetStyleSheet()",i:0.00297765151701366,a:"This function is called directly and is used to specify the full path and file name of an external Style Sheet (XSL or CSS). Syntax BOOL pascal KVXMLSetStyleSheet(\n    void    *pContext,\n    char    *pszStyleSheetName,\n    char    *pszRef);\n Arguments Returns If the call is successful, the return ..."},});